package com.backendsys.modules.ai.chat.service;

import com.backendsys.modules.ai.chat.entity.Chat;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface ChatService {

    // 发起对话
    Map<String, Object> sendChat(Chat chat);
    // 中止对话
    Map<String, Object> abortChat(Chat chat);

    // 获取我的对话列表
    PageEntity selectChatList(Chat chat);

    // 删除我的对话 (软删除)
    Map<String, Object> deleteChat(Chat chat);

    // 删除我的对话 (软删除)(单条)
    Map<String, Object> deleteChatOne(Chat chat);
}
